VMTKSURFACECOMPARE(1)

NAME
vmtksurfacecompare - vmtk script vmtksurfacecompare

DESCRIPTION
Automatic piping vmtksurfacecompare Parsing options vmtksurfacecompare

vmtksurfacecompare : compares a surface against a baseline

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-r ReferenceSurface (vtkPolyData,1): the input surface

-rfile ReferenceSurfaceInputFileName (str,1): filename for the

    default ReferenceSurface reader

-method Method (str,1) in ['addpointarray', 'addcellarray',

    'projection', 'distance']: method of the test

-array ArrayName (str,1): name of the array

-tolerance Tolerance (float,1); default=1e-08: tolerance for

    numerical comparisons

-ofile ResultDataOutputFileName (str,1): filename for the default

    ResultData writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-result Result (bool,1): Output boolean stating if surfaces are

    equal or not

-o ResultData (vtkPolyData,1): the output surface

-log ResultLog (str,1): Result Log